%define major		2
%define libname		%mklibname cdio-paranoia %{major}
%define libnamedev	%mklibname cdio-paranoia -d

%define pkgver		10.2
%define filerel		2.0.1
%define relver		%(echo %filerel|sed -e 's/\\+/\./')

Name:		libcdio-paranoia
Version:	%{pkgver}.%{relver}
Release:	%mkrel 1
Summary:	CD-ROM reading library
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.gnu.org/software/libcdio/
Source:		ftp://ftp.gnu.org/pub/gnu/libcdio/%{name}-%{pkgver}+%{filerel}.tar.xz
BuildRequires:	lib64cdio-devel


%description 
This CDDA reader distribution ('libcdio-cdparanoia') reads audio from the
CDROM directly as data, with no analog step between, and writes the
data to a file or pipe as .wav, .aifc or as raw 16 bit linear PCM.

%package -n	%{libname}
Summary:	Libraries from %{name}
Group:		System/Libraries
License:	LGPLv2+

%description -n	%{libname}
This CDDA reader distribution ('libcdio-cdparanoia') reads audio from the
CDROM directly as data, with no analog step between, and writes the
data to a file or pipe as .wav, .aifc or as raw 16 bit linear PCM.

%package -n	%{libnamedev}
Summary:	Devel files from %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libnamedev}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%prep
%setup -qn %{name}-%{pkgver}+%{filerel}
# fix pkgconfig files
sed -i -e 's,-I${includedir},-I${includedir}/cdio,g' libcdio_paranoia.pc.in
sed -i -e 's,-I${includedir},-I${includedir}/cdio,g' libcdio_cdda.pc.in

%build
%configure2_5x \
	--without-versioned-libs \
	--disable-dependency-tracking \
	--disable-static
%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name '*.la' -delete

mv %{buildroot}%{_mandir}/jp %{buildroot}%{_mandir}/ja

# copy include files to an additional directory for backward compatibility
# this is where most software still expects those files
cp -a %{buildroot}%{_includedir}/cdio/paranoia/*.h %{buildroot}%{_includedir}/cdio/

%files
%{_bindir}/cd-paranoia
%{_mandir}/man1/cd-paranoia.1.*
%lang(ja) %{_mandir}/ja/man1/cd-paranoia.1.*

%files -n %{libname}
%{_libdir}/libcdio_cdda.so.%{major}
%{_libdir}/libcdio_cdda.so.%{major}.*
%{_libdir}/libcdio_paranoia.so.%{major}
%{_libdir}/libcdio_paranoia.so.%{major}.*

%files -n %{libnamedev}
%{_includedir}/cdio/*.h
%{_includedir}/cdio/paranoia
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Jun 27 2021 tex - 10.2.2.0.1-1pclos2021
- new version
